<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

/**
 * boleto_dao
 * 
 * @package boleto
 */
class bill_dao extends dao
{
	public $key = 'invoice_id';
	public $foreign_keys = 'client_id,method_id';
	protected $table = 'invoices';
	protected $fields = 'client_id,method_id,date';
	protected $fields_all = 'client_id,method_id,date';
	protected $fields_rel_all = array(
		'client_username' => array('clients' => 'username'),
		'client_name' => array('clients' => 'name'),
		'client_address1' => array('clients' => 'address1'),
		'client_address2' => array('clients' => 'address2'),
		'client_district' => array('clients' => 'district'),
		'client_postal_code' => array('clients' => 'postal_code'),
		'client_state' => array('clients' => 'state'),
		'service_name' => array('services' => 'name'),
		'account_bank_code' => array('accounts' => 'bank_code'),
		'account_agency' => array('accounts' => 'agency'),
		'account_number' => array('accounts' => 'account_number'),
		'account_owner_name' => array('accounts' => 'owner_name'),
		'account_owner_cpf_cnpj' => array('accounts' => 'owner_cpf_cnpj'),
		'account_owner_address' => array('accounts' => 'owner_address'),
		'account_owner_city' => array('accounts' => 'owner_city'),
		'account_owner_state' => array('accounts' => 'owner_state'),
		'account_payment_number' => array('accounts' => 'payment_number'),
		'account_payment_info1' => array('accounts' => 'payment_info1'),
		'account_payment_info2' => array('accounts' => 'payment_info2'),
		'account_payment_info3' => array('accounts' => 'payment_info3'),
		'account_payment_info4' => array('accounts' => 'payment_info4'),
		'account_payment_instructions1' => array('accounts' => 'payment_instructions1'),
		'account_payment_instructions2' => array('accounts' => 'payment_instructions2'),
		'account_payment_instructions3' => array('accounts' => 'payment_instructions3'),
		'account_payment_instructions4' => array('accounts' => 'payment_instructions4'),
		'account_currency' => array('accounts' => 'currency')
	);
	protected $fields_sum = array(
		'value' => array('invoices' => 'value'),
		'discount' => array('invoices' => 'discount') );
	protected $select_sql = '
		SUM(payments.value) AS paid,
		invoices.value - SUM(payments.value) AS net_value';
	protected $joins = array(
		'payments.invoice_id' => 'invoices.invoice_id',
		'contracts.contract_id' => 'invoices.contract_id',
		'clients.client_id' => 'invoices.client_id',
		'services.service_id' => 'invoices.service_id',
		'payment_methods.method_id' => 'invoices.method_id',
		'accounts.account_id' => 'payment_methods.account_id' );
	public $group_by = 'client_id,method_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>