<?php

include 'config.php';
include 'libfox.php';

$db = db::get_instance;

$source_db = '';
$target_db = '';

$db->query($sql);

$sql = "

INSERT INTO $target_db.users ( 
	user_id,
	username,
	name,
	email,
	language,
	password,
	admin )
SELECT
	user_id,
	username,
	name,
	email,
	'pt_br',
	password,
	admin
FROM $source_db.users
ON DUPLICATE KEY UPDATE user_id = VALUES(user_id);


INSERT INTO $target_db.user_groups ( 
	group_id,
	name,
	description )
SELECT
	group_id,
	name,
	description
FROM $source_db.user_groups
ON DUPLICATE KEY UPDATE group_id = VALUES(group_id);


INSERT INTO $target_db.user_members ( 
	member_id,
	user_id,
	group_id )
SELECT
	member_id,
	user_id,
	group_id
FROM $source_db.user_members;
ON DUPLICATE KEY UPDATE member_id = VALUES(member_id);


INSERT INTO $target_db.user_permissions ( 
	permission_id,
	group_id,
	mode,
	action )
SELECT
	permission_id,
	group_id,
	mode,
	action
FROM $source_db.user_permissions
ON DUPLICATE KEY UPDATE permission_id = VALUES(permission_id);


INSERT INTO $target_db.accounts (
	account_id,
	name,
	bank_name,
	bank_code,
	agency,
	account_number,
	carteira,
	currency,
	owner_name,
	owner_cpf_cnpj,
	owner_address,
	owner_city,
	owner_state,
	payment_number,
	payment_info1,
	payment_info2,
	payment_info3,
	payment_info4,
	payment_instructions1,
	payment_instructions2,
	payment_instructions3,
	payment_instructions4 )
SELECT
	account_id,
	name,
	bank_name,
	bank_code,
	agency,
	account_number,
	carteira,
	currency,
	owner_name,
	owner_cpf_cnpj,
	owner_address,
	owner_city,
	owner_state,
	payment_number,
	payment_info1,
	payment_info2,
	payment_info3,
	payment_info4,
	payment_instructions1,
	payment_instructions2,
	payment_instructions3,
	payment_instructions4
FROM $source_db.accounts;


INSERT INTO $target_db.payment_methods (
	method_id,
	account_id,
	name,
	bill,
	description )
SELECT
	account_id,
	account_id,
	name,
	1,
	'Metodo criado autmaticamente'
FROM $source_db.accounts;


INSERT INTO $target_db.clients (
	client_id,
	username,
	password,
	name,
	email,
	address,
	address2,
	district,
	postal_code,
	city,
	state,
	phone,
	mobile,
	fiscal_number,
	identity,
	notes,
	status )
SELECT
	client_id,
	username,
	password,
	name,
	email,
	address,
	address2,
	district,
	postal_code,
	city,
	state,
	phone,
	mobile,
	fiscal_number,
	identity,
	notes,
	status
FROM $source_db.clients;


INSERT INTO $target_db.services (
	service_id,
	name,
	description,
	price,
	price_ip,
	payment,
	download,
	upload,
	iface,
	auth,
	bind_mac,
	proxy_port,
	ttl_limit )
SELECT
	plan_id,
	name,
	description,
	price,
	0,
	1,
	download,
	upload,
	iface,
	auth,
	bind_mac,
	proxy_port,
	ttl_limit
FROM $source_db.plans;


INSERT INTO $target_db.contracts (
	contract_id,
	service_id,
	client_id,
	user_id,
	method_id,
	start,
	end,
	payday,
	status )
SELECT
	contracts.handle,
	contracts.plan_id,
	contracts.client_id,
	'1',
	plans.account_id,
	contracts.date,
	contracts.canceled,
	contracts.payday,
	contracts.status
FROM $source_db.contracts
INNER JOIN $source_db.plans ON (
	plans.plan_id = contracts.plan_id );


INSERT INTO $target_db.invoices (
	invoice_id,
	client_id,
	contract_id,
	service_id,
	method_id,
	value,
	discount,
	date,
	period_start,
	period_end,
	description,
	comments,
	status )
SELECT
	invoices.invoice_id,
	contracts.client_id,
	invoices.handle,
	contracts.plan_id,
	plans.account_id,
	invoices.value,
	invoices.discount,
	invoices.date,
	invoices.period_start,
	invoices.period_end,
	invoices.description,
	invoices.comments,
	invoices.status
FROM $source_db.invoices
INNER JOIN $source_db.contracts ON (
	contracts.handle = invoices.handle )
INNER JOIN $source_db.plans ON (
	plans.plan_id = contracts.plan_id )
GROUP BY invoices.invoice_id;


INSERT INTO $target_db.payments (
	payment_id,
	method_id,
	client_id,
	user_id,
	contract_id,
	invoice_id,
	value,
	interest,
	fines,
	date,
	status )
SELECT
	payments.payment_id,
	plans.account_id,
	contracts.client_id,
	payments.user_id,
	invoices.handle,
	payments.invoice_id,
	payments.value,
	payments.interest,
	payments.fines,
	payments.date,
	payments.status
FROM $source_db.payments
INNER JOIN $source_db.invoices ON (
	invoices.invoice_id = payments.invoice_id )
INNER JOIN $source_db.contracts ON (
	contracts.handle = invoices.handle )
INNER JOIN $source_db.plans ON (
	plans.plan_id = contracts.plan_id )


INSERT INTO $target_db.schedules (
	schedule_id,
	service_id,
	day,
	start,
	end,
	upload,
	download )
SELECT
	schedules.schedule_id,
	plans.plan_id,
	schedules.day,
	schedules.start,
	schedules.end,
	schedules.upload,
	schedules.download
FROM $source_db.schedules
INNER JOIN $source_db.plans ON (
	plans.plan_id = schedules.plan_id );

	
INSERT INTO $target_db.client_accounts (
	client_id,
	contract_id,
	network_id,
	username,
	password,
	mac,
	ipv4 )
SELECT
	contracts.client_id,
	contracts.handle,
	1,
	CONCAT(clients.username,contracts.handle),
	'',
	contracts.mac,
	contracts.ip
FROM $source_db.contracts
INNER JOIN $source_db.clients ON (
	clients.client_id = contracts.client_id );


INSERT INTO $target_db.log (
	log_id,
	user_id,
	client_id,
	mode,
	action,
	date_time )
SELECT
	log_id,
	user_id,
	client_id,
	mode,
	action,
	date_time
FROM $source_db.log;

";

$db->query($sql);


?>